\documentclass{beamer}

\usepackage[spanish]{babel}
\usepackage[T1]{fontenc}
\usepackage{ae,aecompl}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{lmodern}
\usepackage{ulem}

\usetheme{Warsaw}
\usecolortheme{seahorse}

\title{Selecting, developing and deploying Debian-based IT solutions in the Venezuelan National Migration Process}
\author{
	Jos\'e Miguel Parrella Romero\\
	\texttt{jparrella@sapi.gov.ve}
}
\date{DebConf 2007\\
      City of Edinburgh\\
      Monday, June 18th. 2007}

\begin{document}

\frame
{
	\titlepage
}

\section{Background information (aka crash course)}

\subsection{Legal}

\frame
{
	\frametitle{Legal precedents}

	\begin{block}{Legal precedents}

	\begin{itemize}
		\item 1999, \textbf{National Constitution}, \emph{science and technology are matter of public interest}
		\item 2000, \textbf{Decree 825}, \emph{Nationwide, free Internet access is a State's prioritary policy}
		\item 2004, \textbf{Decree 3390}, \emph{free software to be used preferently in the National Public Administration}
	\end{itemize}

	\end{block}
}

\subsection{Infrastructure}

\frame
{
	\frametitle{Infrastructure}

	\begin{block}{Yearly funds}

	\begin{itemize}
		\item 1600 million USD (41\% of Budget) is for \textbf{social expenditures}: education, health care and S\&T.
		\item \textbf{Additional funds} are usually asigned to S\&T, coming directly from oil sales.
		\item A typical State-run FOSS project may get \textbf{up to 250,000 USD}, not including any other tech-related supports you might get (such as 
		hardware, personnel, logistics, etc.)
	\end{itemize}

	\end{block}
}


\subsection{Infrastructure}

\frame
{
	\frametitle{Infrastructure}

	\begin{block}{Hardware and networking}

	\begin{itemize}
		\item \textbf{Excellent e-Government infrastructure} (most institutions have their own website, servers and services, and if they can't afford it 
		the national gov't is able to provide them with those services)
		\item \textbf{Good hardware infrastructure}, mostly HP-based. Desktop/workstation market is being lifted by a joint venture between China and 
		Venezuela, with an assembly factory in Venezuela.
		\item \textbf{Good Internet connectivity}, mostly US-based. To be improved by a joint venture with the Chinese government willing to launch a 
		telecom satellite. Good nat'l connectivity.
	\end{itemize}

	\end{block}
}

\section{Motivation}

\frame
{
	\frametitle{Motivation}

	\begin{block}{Political}

		\begin{itemize}
			\item \textbf{Sovereighnity} and National Security (2002 National Strike)
			\item \textbf{Only country left} in the region with a strong, active, nationwide migration plan.
		\end{itemize}

	\end{block}

	\begin{block}{Economical}

		\begin{itemize}
			\item Huge savings, even including the initial costs of ownerships related to training and equipment. A small office could \textbf{save 
			up to 100,000 USD per year} just by moving away maintenance contracts.
		\end{itemize}

	\end{block}
}

\section{Motivation}

\frame
{
	\frametitle{Motivation}

	\begin{block}{Social}

		\begin{itemize}
			\item FOSS has provided a fast way to \textbf{improve IT literacy} in the Country. Millions of people have learned to read and write, and 
			then have completed their basic/secondary education, while still lacking a decent IT education.
			\item Nationwide \textbf{Plan Nacional de Alfabetizaci\'on Tecnol\'ogica} has trained 200,000 people using Debian, willing to benefit 
			1,000,000 by 2008.
			\item Government says that some social policies that come inherently with FOSS merge with the ones they're defending, so they seem happy 
			with it, which is a \textbf{Good Thing}.
		\end{itemize}

	\end{block}

}

\section{Actors}

\subsection{Big-sized}

\frame
{
	\frametitle{Actors}

	\begin{block}{Government}
		\begin{itemize}
			\item As \textbf{The Director}, establishing guidelines and managing the migration process.
			\item As a \textbf{client}, requesting human resources, developments, services and support.
			\item As a \textbf{provider}, training people, providing logistics and job opportunities.
		\end{itemize}
	\end{block}

	\begin{block}{Big enterprises}
		\begin{itemize}
			\item In most cases, there are \textbf{no savings} regarding money investment. Some of them were even involved in corruption.
			\item They're in the \textbf{borderline} between free software and anything non-free.
			\item They have a shortage of personnel and \textbf{lack of creative resources}.
		\end{itemize}
	\end{block}

}

\subsection{Medium-sized}

\frame
{
	\frametitle{Actors}

	\begin{block}{Medium and small enterprises}
		\begin{itemize}
			\item Initially benefited by the high demand of services.
			\item Great human and creative resources.
		\end{itemize}
	\end{block}

	\begin{block}{Co-operatives}
		\begin{itemize}
			\item Highly benefited due to their political situation.
			\item Access to a wide range of resources including loans, insurances and so on.
			\item Lack of trained personnel, lack of creative ideas.
		\end{itemize}
	\end{block}

}

\subsection{Special cases}

\frame
{
	\frametitle{Actors}

	\begin{block}{Community}
		\begin{itemize}
			\item Several groups involved (user groups, activist groups and developer groups, as well as local groups, university groups and specific 
			groups) with a great, nationwide, user-base (est. 3000 actively following events, since mid-90's)
			\item Highly de-centralized and de-organized, and usually not controlled.
			\item Great human and creative resources, developers, teachers, decision-makers.
			\item Usually non-profit groups, but most members are independent consultants (see Medium and small enterprises)
			\item Usually called up to provide comments or technical information on government decisions, including laws, decrees, rules, guidelines 
			and other procedures.
		\end{itemize}
	\end{block}

}

\section{Selecting, developing and deploying}

\frame{
	\frametitle{Selecting}

	\begin{block}{The who}
		\begin{itemize}
			\item Small companies, private consultants and co-ops are usually preferred.
			\item Most enterprises value "community" participation and will usually Google a bit about the applicants.
			\item Usual measures, such as a nationwide, publicly-announced licitation process, are not done.
		\end{itemize}
	\end{block}

	\begin{block}{The how}
		\begin{itemize}
			\item Debian Documentation is thoroughly used, especially the Security Handbook. Documentation is always looked for in spanish.
			\item Other community resources, like Debian Administration, forums and mailing lists, are also checked for, but Debian Venezuela is 
			usually a first place for questions.
		\end{itemize}
	\end{block}

}

\frame{
	\frametitle{Developing}

	\begin{block}{Policies}

		\begin{itemize}
			\item Most projects observe LSB 3.1, FHS 2.3, Debian Policy and specific policies.
			\item Product-oriented programming in languages such as PHP and Perl. Java is heavily disregarded as a viable solution.
			\item Proprietary software only when it compromises the viability of a mainly FOSS-based project. Needs authorization.
			\item Bugs and improvements must be reported to Debian in a usable way. This have been done in a small scale and mainly through Debian 
			Venezuela.
		\end{itemize}

	\end{block}

	\begin{block}{Project management}

		\begin{itemize}
			\item Year-oriented budgets for most projects (required by Law) and no strict timelines.
			\item Usually a non-technical person is assigned as the management. This damages most projects since requirements are usually not 
			explained in the proper way.
			\item National Debian-based GForge is setup and developers are encouraged to use it.
		\end{itemize}

	\end{block}

}

\frame{
	\frametitle{Deploying}

	\begin{block}{Training}

		\begin{itemize}
			\item Almost any project will include a clause requiring the development to be documented or a training process to be completed.
			\item A nationwide, medium-level, training program in FOSS (Academia de Software Libre) receives recommendations from developers and 
			teachers in Venezuela.
		\end{itemize}

	\end{block}

	\begin{block}{Results}

		\begin{itemize}
			\item Results can be reported to the Oficina de Tecnologias de la Informacion. Using this reports, the Oficina de Tecnologias de la 
			Informacion establishes guidelines and denies/approves any request for proprietary software usage.
			\item As of today, there's only one known authorization for proprietary software usage: those parts of Sun's Java that still remain 
			proprietary.
		\end{itemize}

	\end{block}

}

\section{Debian in Venezuela}

\frame
{
	\frametitle{Debian in Venezuela}

	\begin{block}{Government}

		\begin{itemize}
			\item Debian is officially recommended by the office in charge for the migration (Oficina de Tecnologias de la Informacion) since 
			2006.
			\item \textbf{National Distribution}: uses Debian package base and it's based on Debian's best practices.
			\item Networking and \textbf{e-Government} platform uses Debian since 2006 (Centro Nacional de Tecnologias de la Informacion).
			\item CNE, the \textbf{National Electoral Authority}, uses exclusively Debian for their network backend and they usually receive members 
			of the community willing to audit their backend and their electoral system.
		\end{itemize}

	\end{block}

}

\frame
{
	\frametitle{Debian in Venezuela}

	\begin{block}{State enterprises}

		\begin{itemize}
			\item Most State enterprises have decided to use FOSS even when they're not mandated by Law.
			\item PDVSA has decided to migrate their servers and desktops to Debian. They haven't released information on that yet.
			\item CVG Edelca, which produces the equivalent in clean energy of almost 450,000 bpd, has already migrated their servers to Debian, 
			several specializaed applications and 500 of their end-users in business critical areas. By Dec 2007, there will be 3000 Debian desktops.
		\end{itemize}

	\end{block}

}

\frame
{
	\frametitle{Debian in Venezuela}

	\begin{block}{Private enterprises}

		\begin{itemize}
			\item Some private enterprises are progressively starting to use FOSS, especially because they feel that they'll not be compatible when 
			making businesses with the Government.
			\item Since several small service companies and private consultants work with Debian, there're several cases of Debian-based private 
			enterprises, mainly for network services such as VPNs. (see Seguros Nuevo Mundo, an insurance company)
		\end{itemize}

	\end{block}

	\begin{block}{Universities}

		\begin{itemize}
			\item Most universities now feature a course or two regarding FOSS and use FOSS themselves for network or development.
			\item It's known that some Universities are using Debian in their network backends (for example UNESR or UNA) and in some cases their 
			teachers endorse the use of Debian.
		\end{itemize}

	\end{block}

}

\section{Results}

\frame
{
	\frametitle{Results: good things}

	\begin{block}{Good things}

		\begin{itemize}
			\item The communities user-base has grown a lot since 2005, therefore a bigger number of activists are working towards FOSS-usage 
			nationwide and sponsorship for those groups.
			\item Debian is highly regarded as the national standard, being in use since 2005 in several critical institutions.
			\item Usage by the government has made private enterprises and end-users to interest in FOSS.
			\item Since there's more budget for S\&T, some institutions have decided to invest their savings in training or developing new products.
			\item As far as the OTI concerns, Debian is being recommended and most policies are bound to be observed in all developments.
			\item Decisions regarding FOSS are usually consulted with the communities, which has prevented some catastrophes (see the Red Hat 
			Enterprise Linux case)
		\end{itemize}

	\end{block}

}

\frame
{
	\frametitle{Results: good things}

	\begin{block}{Bad things}

		\begin{itemize}
			\item FOSS seems to be taken into account as a mere political issue, a state of mind which needs to be reversed ASAP through a 
			communication campaign.
			\item Most developments are not yet integrated to the national policies, either because they're not willing to (they might want to do 
			their packages using a sloppy procedure, for example) or because they don't know about them.
			\item Venezuelan State is a highly bureaucratic one, therefore making it hard to setup a project in a "standard" way. When it happens, 
			though, usually a lot of resources are available.
		\end{itemize}

	\end{block}

}

\section{Contact information}

\frame
{
	\frametitle{Comments are welcome}

	\begin{block}{Contact information}

	\begin{itemize}
		\item Jose Miguel Parrella Romero
		\item \textbf{E-mail:} jparrella@sapi.gov.ve
		\item \textbf{Webpage:} www.bureado.com.ve
	\end{itemize}

	\end{block}

	\begin{block}{Debian Venezuela}

	\begin{itemize}
		\item \textbf{Webpage:} www.debian.org.ve
		\item \textbf{Mailing list:} debian-ve@debian.org.ve
	\end{itemize}

	\end{block}
}

\end{document}
